/** @jsxRuntime classic */
import { blockRegistry } from './registry';

const wpAny = (window as any).wp;
const { registerBlockType } = wpAny?.blocks ?? {};
const isDev = process.env.NODE_ENV !== 'production';

if (!registerBlockType) {
} else {
	blockRegistry.forEach((block) => {
		registerBlockType(block.metadata.name, {
			...block.metadata,
			edit: block.edit,
			save: block.save,
		});
	});
}

